Bug 125442 - kppp does not update DNS
kppp does not update DNS
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-06-07 06:49 EDT by Nicolas Aspert
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-01 10:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicolas Aspert 2004-06-07 06:49:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
I recently installed a fresh FC2 on my dektop. I recreated my dialup
connection in kppp, with "classical" settings (i.e. get IP/DNS from
server). While the DNS adresses are correctly transmitted (they show
in /var/log/messages), kppp "forgets" to update /etc/resolv.conf.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a new dialup connection (IP and DNS automatically get from
2. Dial


Actual Results:  /etc/resolv.conf is unchanged 

Expected Results:  /etc/resolv.conf should contain

nameserver xxx.yyy.zz1
nameserver xxx.yyy.zz2

Additional info:

As a workaround, using the "manual DNS" option works... hope my ISP is
not going to move them in the near future...
Comment 1 mark 2004-06-23 02:15:25 EDT
In my installation it is not even possible to "check" automatic
configuration. Only "manual" is checked.
Comment 2 Ngo Than 2004-07-01 10:36:43 EDT
it's fixed in kdenetwork-3.2.3-2, it will show up in rawhide soon.
Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.